package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumCouponValidType {

    // 1-时间范围 ;2-领取后时长;

    BETWEEN_TWO_TIME(1, "时间范围"),
    DAYS_AFTER_RECEIVING(2, "领取后天数"),
    ;

    public static EnumCouponValidType getEnum(Integer code) {
        for (EnumCouponValidType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCouponValidType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
